> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goatpay.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar instruções de pagamento PIX Automático

> Débitos agendados ou concluídos de cada cobrança recorrente.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.goatpay.com.br/v1/pix-automatic/payment-instructions/list?offset=0&limit=10' \
    -H 'X-API-Key: gp_live_SUA_CHAVE'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true,
    "message": "Instruções de pagamento listadas",
    "data": {
      "object": "list",
      "hasMore": false,
      "totalCount": 1,
      "limit": 10,
      "offset": 0,
      "data": [{
      "id": "d1c9c4b2-6a97-4573-9d6d-26bb64f04c28",
      "status": "SCHEDULED",
      "value": 99.9,
      "scheduleDate": "2026-07-01",
      "authorizationId": "a33047b1-fb19-4b68-9373-a7ba8a8162aa",
      "paymentId": "clx_billing",
      "dateCreated": "2026-06-15T10:00:00.000Z"
    }]
    },
    "requestId": "req_abc"
  }
  ```
</ResponseExample>

### Parâmetros de query

<ParamField query="offset" type="number">
  Índice inicial (padrão 0).
</ParamField>

<ParamField query="limit" type="number">
  Itens por página (máx. 100).
</ParamField>

<ParamField query="status" type="string">
  AWAITING\_REQUEST, SCHEDULED, DONE, CANCELLED, REFUSED.
</ParamField>

<ParamField query="paymentId" type="string">
  Filtrar por cobrança vinculada.
</ParamField>
